#
# spec file for package smolt
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           smolt
Summary:        Hardware Profiler
Version:        1.4.3
Release:        1.6.1
License:        GPLv3+
Group:          Hardware/Other
Url:            https://hosted.fedoraproject.org/projects/smolt/
Source0:        %{name}-%{version}.tar.bz2
Source1:        smolt.init
Patch1:         smolt-1.1.1.1-desktop_file.patch
Patch2:         smolt-1.4.2.2-make_install.patch
Patch3:         smolt-pci_ids-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       dbus-1-python python-urlgrabber cron python-simplejson
BuildRequires:  fdupes gettext update-desktop-files
PreReq:         /bin/cat coreutils

%description
The smolt hardware profiler is a server-client system that does a
hardware scan against a machine and sends the results to a public
Fedora Project turbogears server. The sends are anonymous and should
not contain any private information other than the physical hardware
information and basic OS info.

This package contains the smolt client


%package -n smolt-gui
Summary:        Smolt GUI
License:        GPLv3+
Group:          Hardware/Other
Requires:       %{name} = %{version} python-qt4
Supplements:    packageand(python-qt4:smolt)
Recommends:     ksmolt

%description -n smolt-gui
The smolt hardware profiler is a server-client system that does a
hardware scan against a machine and sends the results to a public
Fedora Project turbogears server. The sends are anonymous and should
not contain any private information other than the physical hardware
information and basic OS info.

This package contains the smolt client gui


%prep
%setup -q
%patch1
%patch2
%patch3 -p1
cp %{S:1} .

%build
cd client/
make

%install
pushd client
make DESTDIR=$RPM_BUILD_ROOT install
install -D -m 755 %{S:1} %{buildroot}/%{_initrddir}/smolt
ln -s %{_initrddir}/smolt %{buildroot}/%_bindir/rcsmolt
touch %{buildroot}/%{_sysconfdir}/smolt/hw-uuid
rm -rf %{buildroot}/usr/share/locale/sr@latin %{buildroot}/usr/share/locale/default
rm -rf %{buildroot}/usr/share/smolt/client/smoltFirstBoot.py
popd
%fdupes %{buildroot}
%suse_update_desktop_file -G "Desktop Profiler" %name
%find_lang %name
mkdir -p %buildroot/var/run
touch %buildroot/var/run/smolt_do_opensuse_run

%clean
rm -rf %{buildroot}

%pre
if [ -f %{_sysconfdir}/smolt/uuid -a ! -f %{_sysconfdir}/smolt/hw-uuid ]
then
    /bin/mv %{_sysconfdir}/smolt/uuid %{_sysconfdir}/smolt/hw-uuid
    /bin/chmod 0644 %{_sysconfdir}/smolt/hw-uuid
    /bin/chown root:root %{_sysconfdir}/smolt/hw-uuid
fi

%post
if ! [ -f %{_sysconfdir}/smolt/hw-uuid ]
then
    /bin/cat /proc/sys/kernel/random/uuid > %{_sysconfdir}/smolt/hw-uuid
    /bin/chmod 0644 %{_sysconfdir}/smolt/hw-uuid
    /bin/chown root:root %{_sysconfdir}/smolt/hw-uuid
fi

%preun
%stop_on_removal smolt

%postun
%insserv_cleanup

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README GPL doc/*
%dir %{_sysconfdir}/smolt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/client
%dir %{_datadir}/%{name}/doc
%ghost %{_sysconfdir}/smolt/hw-uuid
%config(noreplace)%{_sysconfdir}/smolt/config.py
%{_bindir}/rcsmolt
%{_bindir}/smoltDeleteProfile
%{_bindir}/smoltSendProfile
%config %{_sysconfdir}/cron.d/%{name}
%{_initrddir}/%{name}
%{_datadir}/%{name}/client/__init__.py
%{_datadir}/%{name}/client/config.py
%{_datadir}/%{name}/client/deleteProfile.py
%{_datadir}/%{name}/client/fs_util.py
%{_datadir}/%{name}/client/gate.py
%{_datadir}/%{name}/client/i18n.py
%{_datadir}/%{name}/client/os_detect.py
%{_datadir}/%{name}/client/scan.py
%{_datadir}/%{name}/client/sendProfile.py
%{_datadir}/%{name}/client/smolt.py
%{_datadir}/%{name}/client/smolt_config.py
%{_datadir}/%{name}/client/software.py
%{_datadir}/%{name}/client/uuiddb.py
%{_datadir}/%{name}/client/MultipartPostHandler.py
%{_datadir}/%{name}/client/smolt_mythtv.py
%{_datadir}/%{name}/client/devicelist.py
%{_datadir}/%{name}/client/hwdata.py
%{_datadir}/%{name}/client/distros
%{_datadir}/%{name}/doc/PrivacyPolicy
%{_mandir}/man1/smoltDeleteProfile.1.gz
%{_mandir}/man1/smoltSendProfile.1.gz
/var/run/smolt_do_opensuse_run

%files -n smolt-gui
%defattr(-,root,root)
%dir %{_datadir}/%{name}/client/icons
%{_bindir}/smoltGui
%{_datadir}/icons/hicolor
%{_datadir}/applications/smolt.desktop
%{_datadir}/%{name}/client/gui.py
%{_datadir}/%{name}/client/smoltGui.py
%{_datadir}/%{name}/client/privacypolicy.py
%{_datadir}/%{name}/client/icons/*
%{_mandir}/man1/smoltGui.1.gz

%changelog
* Tue Mar 15 2011 puzel@novell.com
- update to smolt-1.4.3 (bnc#675403)
  - no longer requires hal
  - adds distro interface
- drop dependency on hal
- add smolt-pci_ids-path.patch
- update smolt-1.4.2.2-make_install.patch
- drop smolt-add-rootfs-to-profile.patch (in upstream)
* Wed Feb 23 2011 dmueller@suse.de
- trigger smolt run
* Fri Jun  4 2010 puzel@novell.com
- add smolt-add-rootfs-to-profile.patch (bnc#462588)
* Tue Apr  6 2010 hvogel@novell.com
- update to version 1.4.2.2
  * translation updates
  * use ugettext
  * changing wording from update to checkin
* Sat Sep 19 2009 cgoncalves@opensuse.org
- update to version 1.4
- smolt-1.4-client_license_version.patch: fix wrong license version
* Tue Aug 11 2009 coolo@novell.com
- do not recommend smolt-gui on a GNOME desktop, its dependencies
  (including ksmolt recommend) are a bit heavy
* Fri Aug  7 2009 cgoncalves@opensuse.org
- smolt-1.3.2-unicode-all.patch: fix all known encoding issues
- smolt-1.3.2-cmd-version.patch: use clientVersion instead of
  smoltProtocol
* Fri Aug  7 2009 cgoncalves@opensuse.org
- split smolt package in smolt and smolt-gui
- add COPYING to smolt-gui
- do not package smoltFirstBoot.py (Red Hat stuff)
* Sat Aug  1 2009 cgoncalves@opensuse.org
- smolt-1.3.2-unicode.patch: fix an 'oops' when calling unicode
- smolt-1.3.2-smolt_page.patch: disable "My Smolt Page" if no UUID
  found (eg. running for the very first time)
* Fri Jul 31 2009 cgoncalves@opensuse.org
- update spec file header to the current smolt version
- check if hw-uuid exists before moving uuid
* Wed Jul 29 2009 cgoncalves@opensuse.org
- support smolt update (move uuid file to hw-uuid)
- minor init script fixes
* Wed Jul 29 2009 cgoncalves@opensuse.org
- fix init script (%%stop_on_removal was failing due to it)
* Wed Jul 29 2009 cgoncalves@opensuse.org
- updated to version 1.3.2
  * new client GUI
  * various bugfixes
* Sun May 10 2009 beineri@opensuse.org
- don't repeate Name content in GenericName of .desktop file
* Fri Nov 28 2008 dmueller@suse.de
- add ghost file to delay smolt run until after first online update
  (bnc#450104, bnc#450105)
* Thu Nov 20 2008 hvogel@suse.de
- Enable translation of desktop files [bnc#445735]
* Thu Nov 13 2008 hvogel@suse.de
- Do not include arch into OS string [bnc#444287]
* Mon Nov  3 2008 hvogel@suse.de
- Require cron and python-gtk [bnc#440815]
* Wed Oct 29 2008 hvogel@suse.de
- Use the pub uuid in the gui to avoid an ugly error page on
  smolts.org
* Mon Apr 21 2008 hvogel@suse.de
- we send data to the smolts project and not fedora [bnc#381647]
* Thu Apr  3 2008 hvogel@suse.de
- Update to version 1.1.1.1
  * various bugfixes
  * new default configuration
  * new default server
- dont stop or restart. its only touching files anyway
* Wed Jan 16 2008 hvogel@suse.de
- Fix missing requires
- Use smolts.org as default server
* Tue Jul 24 2007 hvogel@suse.de
- Initial Package, Version 0.9.8.3
